﻿@using SCHOOL_MANAGEMENT_SYSTEM.ViewModels
@{
    ViewBag.Title = "Manage Room";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@{ 
    bool isRM = false;
    if (User.IsInRole("Manage Roomd"))
    {
        isRM = true;
    }
}
<div class="container-fluid">
    <div class="pos_relative ">
        <div class="row">
            <div class="col-md-12">
                <span class="label label-info" style="padding:7px">@Resources.Content.TotalRoom @Model.TotalRoom</span>
                <span class="label label-success" style="padding:7px">@Resources.Content.TotalRoomFree @Model.TotalFree</span>
                <span class="label label-warning" style="padding:7px">@Resources.Content.TotalBooking @Model.TotalBook</span>
                <span class="label label-danger" style="padding:7px">@Resources.Content.CheckIn @Model.TotalCheckIn</span>
                <span class="label label-default" style="padding:7px">@Resources.Content.TotalRoomBlock @Model.TotalBlock</span>

                <a onclick="ClickFloor('@User.IsInRole("Manage Floor")' ? true:false)" class="btn btn-info btn-sm pull-right" data-toggle="modal" data-target="#FloorModal" style="margin-right:5px;"><span class="glyphicon glyphicon-cog"></span> @Resources.Content.ManageFloor</a>
                <a onclick="ClickRoomType('@User.IsInRole("Manae Room Type")' ? true:false)" class="btn btn-info btn-sm pull-right" data-toggle="modal" data-target="#RoomTypeModal" style="margin-right:5px;"><span class="glyphicon glyphicon-cog"></span> @Resources.Content.ManageRoomType</a>
                <a onclick="ClickRoom('@User.IsInRole("Manage Room")' ? true:false)" class="btn btn-info btn-sm pull-right" data-toggle="modal" data-target="#RoomModal" style="margin-right:5px;"><span class="glyphicon glyphicon-cog"></span> @Resources.Content.ManageRoom</a>
                <a onclick="ClickRoomItem('@User.IsInRole("Manage Room Item")' ? true:false)" class="btn btn-info btn-sm pull-right" data-toggle="modal" data-target="#RoomItemModal" style="margin-right:5px;"><span class="glyphicon glyphicon-plus"></span> @Resources.Content.AddItemToRoom</a>
            </div>
        </div>

        <div class="row">

            @{ string c = "";}
            @{ string btncolor = "";}
            @foreach (var f in Model.TotalFloor)
            {
                if (f.id == 1)
                {
                    <div class="row">
                        @foreach (var rg in Model.Room0)
                        {
                            if (rg.status == "FREE")
                            {
                                c = "btn-block btn btn-success";
                                btncolor = "color:white";
                            }
                            else if (rg.status == "BLOCK")
                            {
                                c = "btn-block btn btn-default";
                                btncolor = "";
                            }
                            else if (rg.status == "CHECK-IN")
                            {
                                c = "btn-block btn btn-danger";
                                btncolor = "color:white";
                            }
                            else if (rg.status == "BOOK")
                            {
                                c = "btn-block btn btn-warning";
                                btncolor = "color:white";
                            }
                            <div class="col-md-1 col-lg-1 col-xl-1">
                                <button onclick='OnClickRoom(@rg.id)' type="button" class="@c" style="height:65px;margin-bottom:20px;margin-top:10px" id="btnRoom'+@rg.id+'"><h4 style=@btncolor><b>@rg.room_no</b></h4></button>
                            </div>
                        }
                    </div>
                }
                else if (f.id == 2)
                {
                    <div class="row">
                        @foreach (var rg in Model.RoomF1)
                        {

                            if (rg.status == "FREE")
                            {
                                c = "btn-block btn btn-success";
                                btncolor = "color:white";
                            }
                            else if (rg.status == "BLOCK")
                            {
                                c = "btn-block btn btn-default";
                                btncolor = "";
                            }
                            else if (rg.status == "CHECK-IN")
                            {
                                c = "btn-block btn btn-danger";
                                btncolor = "color:white";
                            }
                            else if (rg.status == "BOOK")
                            {
                                c = "btn-block btn btn-warning";
                                btncolor = "color:white";
                            }
                            <div class="col-md-1 col-lg-1 col-xl-1">
                                <button onclick='OnClickRoom(@rg.id)' type="button" class="@c" style="height:65px;margin-bottom:20px;margin-top:10px" id="btnRoom'+@rg.id+'"><h4 style=@btncolor><b>@rg.room_no</b></h4></button>
                            </div>
                        }
                    </div>
                }
                else if (f.id == 3)
                {
                    <div class="row">
                        @foreach (var rg in Model.RoomF2)
                        {
                            if (rg.status == "FREE")
                            {
                                c = "btn-block btn btn-success";
                                btncolor = "color:white";
                            }
                            else if (rg.status == "BLOCK")
                            {
                                c = "btn-block btn btn-default";
                                btncolor = "";
                            }
                            else if (rg.status == "CHECK-IN")
                            {
                                c = "btn-block btn btn-danger";
                                btncolor = "color:white";
                            }
                            else if (rg.status == "BOOK")
                            {
                                c = "btn-block btn btn-warning";
                                btncolor = "color:white";
                            }
                            <div class="col-md-1 col-lg-1 col-xl-1">
                                <button onclick='OnClickRoom(@rg.id)' type="button" class="@c" style="height:65px;margin-bottom:20px;margin-top:10px" id="btnRoom'+@rg.id+'"><h4 style=@btncolor><b>@rg.room_no</b></h4></button>
                            </div>
                        }
                    </div>

                }
                else if (f.id == 4)
                {
                    <div class="row">
                        @foreach (var rg in Model.RoomF3)
                        {
                            if (rg.status == "FREE")
                            {
                                c = "btn-block btn btn-success";
                                btncolor = "color:white";
                            }
                            else if (rg.status == "BLOCK")
                            {
                                c = "btn-block btn btn-default";
                                btncolor = "";
                            }
                            else if (rg.status == "CHECK-IN")
                            {
                                c = "btn-block btn btn-danger";
                                btncolor = "color:white";
                            }
                            else if (rg.status == "BOOK")
                            {
                                c = "btn-block btn btn-warning";
                                btncolor = "color:white";
                            }
                            <div class="col-md-1 col-lg-1 col-xl-1">
                                <button onclick='OnClickRoom(@rg.id)' type="button" class="@c" style="height:65px;margin-bottom:20px;margin-top:10px" id="btnRoom'+@rg.id+'"><h4 style=@btncolor><b>@rg.room_no</b></h4></button>
                            </div>

                        }
                    </div>

                }
                else if (f.id == 5)
                {
                    <div class="row">
                        @foreach (var rg in Model.RoomF4)
                        {
                            if (rg.status == "FREE")
                            {
                                c = "btn-block btn btn-success";
                                btncolor = "color:white";
                            }
                            else if (rg.status == "BLOCK")
                            {
                                c = "btn-block btn btn-default";
                                btncolor = "";
                            }
                            else if (rg.status == "CHECK-IN")
                            {
                                c = "btn-block btn btn-danger";
                                btncolor = "color:white";
                            }
                            else if (rg.status == "BOOK")
                            {
                                c = "btn-block btn btn-warning";
                                btncolor = "color:white";
                            }
                            <div class="col-md-1 col-lg-1 col-xl-1">
                                <button onclick='OnClickRoom(@rg.id)' type="button" class="@c" style="height:65px;margin-bottom:20px;margin-top:10px" id="btnRoom'+@rg.id+'"><h4 style=@btncolor><b>@rg.room_no</b></h4></button>
                            </div>

                        }
                    </div>

                }
                else if (f.id == 6)
                {
                    <div class="row">
                        @foreach (var rg in Model.RoomF5)
                        {
                            if (rg.status == "FREE")
                            {
                                c = "btn-block btn btn-success";
                                btncolor = "color:white";
                            }
                            else if (rg.status == "BLOCK")
                            {
                                c = "btn-block btn btn-default";
                                btncolor = "";
                            }
                            else if (rg.status == "CHECK-IN")
                            {
                                c = "btn-block btn btn-danger";
                                btncolor = "color:white";
                            }
                            else if (rg.status == "BOOK")
                            {
                                c = "btn-block btn btn-warning";
                                btncolor = "color:white";
                            }
                            <div class="col-md-1 col-lg-1 col-xl-1">
                                <button onclick='OnClickRoom(@rg.id)' type="button" class="@c" style="height:65px;margin-bottom:20px;margin-top:10px" id="btnRoom'+@rg.id+'"><h4 style=@btncolor><b>@rg.room_no</b></h4></button>
                            </div>

                        }
                    </div>

                }
            }
            <br />
        </div>

    </div>
</div>

@Html.Partial("_Floor")
@Html.Partial("_RoomType")
@Html.Partial("_Room")
@Html.Partial("_RoomDetail")
@Html.Partial("_Building")
@Html.Partial("_AddRoomItem")

@section scripts{
    @Scripts.Render("~/Scripts/Functions/floor.js")
    @Scripts.Render("~/Scripts/Functions/roomtypes.js")
    @Scripts.Render("~/Scripts/Functions/building.js")
    @Scripts.Render("~/Scripts/Functions/room.js")
    @Scripts.Render("~/Scripts/Functions/roomitems.js")
    @Scripts.Render("~/Scripts/Functions/checkinnow.js")
    @Scripts.Render("~/Scripts/moment.min.js")
}
<script>
    function ClickFloor(role) {
        if (role == false) {
            toastr.options = {
                "progressBar": true
            };
            toastr.warning("Your don't have permission!", "Service Response");
            $("a").removeAttr("data-target");
            return false;
        }
    }
    function ClickRoomType(role) {
        if (role == false) {
            toastr.options = {
                "progressBar": true
            };
            toastr.warning("Your don't have permission!", "Service Response");
            $("a").removeAttr("data-target");
            return false;
        }
    }
    function ClickRoom(role) {
        if (role == false) {
            toastr.options = {
                "progressBar": true
            };
            toastr.warning("Your don't have permission!", "Service Response");
            $("a").removeAttr("data-target");
            return false;
        }
    }
    function ClickRoomItem(role) {
        if (role == false) {
            toastr.options = {
                "progressBar": true
            };
            toastr.warning("Your don't have permission!", "Service Response");
            $("a").removeAttr("data-target");
            return false;
        }
    }
    function OnClickRoom(b) {
        if ("@isRM" == "True") {
            toastr.options = {
                "progressBar": true
            };
            toastr.warning("Your don't have permission!", "Service Response");
            return false;
        } else {
            $("#RoomDetailModal").modal('show');
            $("#roomid").val(b);

            //Get Item
            $.ajax({
                url: "/api/roomdetails_v/" + b,
                type: "GET",
                contentType: "application/json;charset=utf-8",
                datatype: "json",
                success: function (result) {
                    $.each(result, function (key, value) {
                        $('#itlist').append("<li class='list-group-item'>" + "<span class='badge'>1</span>" + value.itemnamekh + " " + value.itemname + "</li>");
                    });
                },
                error: function (errormessage) {
                    toastr.error("No Record Select!", "Service Response");
                }
            });

            $.ajax({
                url: "/api/rooms/" + b,
                type: "GET",
                contentType: "application/json;charset=utf-8",
                datatype: "json",
                success: function (result) {
                    //$("#lblRoomNo").text("Room "+result.room_no+" "+result.status);
                    $("#rmno").text(result.room_no);
                    $("#roomid").text(result.id);
                    $("#roomtype").text(result.roomtypename);
                    $("#flno").text(result.floorno);
                    $("#status").text(result.status);
                    $("#roomprice").text(result.price + '$');
                    $("#rmky").text(result.roomkey);
                    $("#roomstatus").text(result.status);

                    if (result.status == "BOOK") {
                        book(b);
                        document.getElementById('btnBook').style.display = "none";
                        document.getElementById('btnPayment').style.display = "none";
                        document.getElementById('btnBlock').style.display = "none";
                        //document.getElementById('btnCheckInNow').style.display = "none";
                        document.getElementById('btnCheckOut').style.display = "none";
                        document.getElementById('btnUnBlock').style.display = "none";
                        $("#sms").text('This room is booking!');
                        $('#class').addClass('alert alert-dismissible alert-success alert-block');
                        $(".badge").attr('style', 'background-color: #dd5600');
                    } else if (result.status == "BLOCK") {
                        document.getElementById('btnBook').style.display = "none";
                        document.getElementById('btnCheckOut').style.display = "none";
                        document.getElementById('btnCheckIn').style.display = "none";
                        document.getElementById('btnPayment').style.display = "none";
                        document.getElementById('btnBlock').style.display = "none";
                        document.getElementById('btnCancelBooking').style.display = "none";
                        //document.getElementById('btnCheckInNow').style.display = "none";
                        document.getElementById('alertmsm').style.display = "block";
                        $("#BlockNote").text("This room has been block...! " + result.note);
                    } else if (result.status == "FREE") {
                        document.getElementById('btnCheckOut').style.display = "none";
                        document.getElementById('btnPayment').style.display = "none";
                        document.getElementById('btnCheckIn').style.display = "none";
                        document.getElementById('btnCancelBooking').style.display = "none";
                        document.getElementById('btnUnBlock').style.display = "none";
                        $(".badge").attr('style', 'background-color: #468847');
                    } else if (result.status == "CHECK-IN") {
                        checkin(b);
                        document.getElementById('btnBlock').style.display = "none";
                        document.getElementById('btnBook').style.display = "none";
                        document.getElementById('btnCheckIn').style.display = "none";
                        //document.getElementById('btnCheckInNow').style.display = "none";
                        document.getElementById('btnCancelBooking').style.display = "none";
                        document.getElementById('btnUnBlock').style.display = "none";
                        $(".badge").attr('style', 'background-color: #c71c22');
                    }

                },
                error: function (errormessage) {
                    toastr.error("No Record Select!", "Service Response");
                }
            });
        }
    }

    function book(roomid) {
        $.ajax({
            url: "/api/bookings?roomid=" + roomid,
            type: "GET",
            contentType: "application/json;charset=utf-8",
            datatype: "json",
            success: function (result) {
                $("#bookingid").val(result.id);
                $("#guestid").val(result.guestid);
                $('#guestlist').append("<li class='list-group-item'>@Resources.Content.Name <span class='pull-right' style='color:darkblue'>" + result.name + "</span></li>"
                    + "<li class='list-group-item'>@Resources.Content.NameKh <span class='pull-right' style='color:darkblue'>" + result.namekh + "</span></li>"
                    + "<li class='list-group-item'>@Resources.Content.Sex <span class='pull-right' style='color:darkblue'>" + result.sex + "</span></li>"
                    + "<li class='list-group-item'>@Resources.Content.Phone <span class='pull-right' style='color:darkblue'>" + result.phone + "</span></li>"
                    + "<li class='list-group-item'>@Resources.Content.BookingDate <span class='pull-right' style='color:darkblue'>" + moment(new Date(result.bookingdate)).format('DD-MMM-YYYY') + "</span></li>"
                    + "<li class='list-group-item'>@Resources.Content.No <span class='pull-right' style='color:darkblue'>" + result.id + "</span></li>"
                    + "<li class='list-group-item'>@Resources.Content.Total <span class='pull-right' style='color:darkblue'>" + result.total +" $"+"</span></li>"
                    + "<li class='list-group-item'>@Resources.Content.CheckInDate <span class='pull-right' style='color:darkblue'>" + moment(new Date(result.checkindate)).format('DD-MMM-YYYY')+ "</span></li>"
                    + "<li class='list-group-item'>@Resources.Content.ExpireDate <span class='pull-right' style='color:darkblue'>" + moment(new Date(result.expirecheckindate)).format('DD-MMM-YYYY')+ "</span></li>"
                );
            },
            error: function (errormessage) {
                toastr.error("No Record Select!", "Service Response");
            }
        });
    }
    function checkin(roomid) {
        $.ajax({
            url: "/api/checkinbyroom-v/"+roomid,
            type: "GET",
            contentType: "application/json;charset=utf-8",
            datatype: "json",
            success: function (result) {
                $("#guestid").val(result.guestid);
                $("#roomid").val(result.roomid);
                $("#checkinid").val(result.id);
                $('#guestlist').append("<li class='list-group-item'>@Resources.Content.Name <span class='pull-right' style='color:darkblue'>" + result.name + "</span></li>"
                    + "<li class='list-group-item'>@Resources.Content.NameKh <span class='pull-right' style='color:darkblue'>" + result.namekh + "</span></li>"
                    + "<li class='list-group-item'>@Resources.Content.Sex <span class='pull-right' style='color:darkblue'>" + result.sex + "</span></li>"
                    + "<li class='list-group-item'>@Resources.Content.Phone <span class='pull-right' style='color:darkblue'>" + result.phone + "</span></li>"
                    + "<li class='list-group-item'>@Resources.Content.Man <span class='pull-right' style='color:darkblue'>" + result.man + "</span></li>"
                    + "<li class='list-group-item'>@Resources.Content.Woman <span class='pull-right' style='color:darkblue'>" + result.women + "</span></li>"
                    + "<li class='list-group-item'>@Resources.Content.Child <span class='pull-right' style='color:darkblue'>" + result.child + "</span></li>"
                    + "<li class='list-group-item'>@Resources.Content.CheckInDate <span class='pull-right' style='color:darkblue'>" + moment(new Date(result.checkindate)).format('DD-MMM-YYYY') + "</span></li>"
                );
            },
            error: function (errormessage) {
                toastr.error("No Record Select!", "Service Response");
            }
        });
    }
</script>
